/* Class cLog
 * static class used for logging throughout the Prog
 * puts out the following string if the loglevel is high enough:
 * 	(<Date>)[<leveldesc>]"<source>" <msg>
*/

public class cLog{

	public static int level;
	public static String[] sl = {"ERROR","NORM","WARNING","ALL","CHATTY","INSANE"};
	
	public static void Log(int lvl, String source, String msg){
		if (lvl<0) synchronized(System.out){
			System.out.println(msg);
			System.out.flush();
		}else{
			if (lvl<=level){
				synchronized(System.out){
					System.out.println("("+ 
						   (new java.util.Date().toString()) + 
						")[" + 
						   (sl[lvl]) +
						"] \"" + source +
						"\" " + msg);
				}
			}
		}	
	} 

}